Bug 21693 - Clean up checkout notes template
Summary: Clean up checkout notes template
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/circ/checkout-notes.pl
Keywords:
Depends on:
Blocks: 20654
  Show dependency treegraph
 
Reported: 2018-10-26 16:37 UTC by Owen Leonard
Modified: 2019-01-03 14:23 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21693: Clean up checkout notes template (4.56 KB, patch)
2018-10-26 17:03 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21693: Clean up checkout notes template (7.59 KB, patch)
2018-10-26 17:15 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21693: Clean up checkout notes template (7.66 KB, patch)
2018-10-26 20:27 UTC, Pierre-Marc Thibault
Details | Diff | Splinter Review
Bug 21693: Clean up checkout notes template (7.73 KB, patch)
2018-10-27 20:20 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21693: Make page title consistent with other pages (1.19 KB, patch)
2018-10-27 20:20 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21693: Clean up checkout notes template (7.93 KB, patch)
2018-11-12 17:00 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21693: Make page title consistent with other pages (1.18 KB, patch)
2018-11-12 17:01 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-10-26 16:37:20 UTC
The checkout notes template has several issues which need to be cleaned up:

- Bootstrap grid
- DataTables configuration improvement
- Change toolbar position to better match established patterns
Comment 1 Owen Leonard 2018-10-26 17:03:45 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2018-10-26 17:15:06 UTC Comment hidden (obsolete)
Comment 3 Pierre-Marc Thibault 2018-10-26 20:27:53 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2018-10-27 20:20:13 UTC
Created attachment 81363 [details] [review]
Bug 21693: Clean up checkout notes template

This patch modifies the checkout notes template to help compliance with
coding guidelines and interface patterns:

 - Convert to Bootstrap grid
 - Improve DataTables configuration
 - Put buttons into a toolbar and move above selection links

Also corrected: Minor markup error in circ-nav.inc

To test, apply the patch and enable the AllowCheckoutNotes system
preference. Add a few checkout notes via the OPAC.

 - Go to Circulation -> Checkout notes.
   - Confirm that the page looks correct at various browser widths.
   - Confirm that the first and last columns of the table of notes are
     not sortable.
   - The table should be sorted by default by title.
   - Title sorting should ignore articles "a," "an," and "the."
   - Test with the CircSidebar preference both on and off.
     - With CircSidebar turn on, the checkout notes menu item in the
       left hand sidebar should show a count of checkout notes.

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2018-10-27 20:20:17 UTC
Created attachment 81364 [details] [review]
Bug 21693: Make page title consistent with other pages

For some reason we use 'Home' in the bread crumbs, but
'Koha' as starting point in the page title.

Changed to make consistent with other pages in Circulation.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Nick Clemens 2018-11-06 17:01:29 UTC
Before this patch the 'Mark seen' and 'Mark not seen' buttons work. I can't make them work with this
Comment 7 Owen Leonard 2018-11-12 17:00:54 UTC
Created attachment 82226 [details] [review]
Bug 21693: Clean up checkout notes template

This patch modifies the checkout notes template to help compliance with
coding guidelines and interface patterns:

 - Convert to Bootstrap grid
 - Improve DataTables configuration
 - Put buttons into a toolbar and move above selection links

Also corrected: Minor markup error in circ-nav.inc

To test, apply the patch and enable the AllowCheckoutNotes system
preference. Add a few checkout notes via the OPAC.

 - Go to Circulation -> Checkout notes.
   - Confirm that the page looks correct at various browser widths.
   - Confirm that the first and last columns of the table of notes are
     not sortable.
   - The table should be sorted by default by title.
   - Title sorting should ignore articles "a," "an," and "the."
   - Test with the CircSidebar preference both on and off.
     - With CircSidebar turn on, the checkout notes menu item in the
       left hand sidebar should show a count of checkout notes.

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Owen Leonard 2018-11-12 17:01:00 UTC
Created attachment 82227 [details] [review]
Bug 21693: Make page title consistent with other pages

For some reason we use 'Home' in the bread crumbs, but
'Koha' as starting point in the page title.

Changed to make consistent with other pages in Circulation.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Owen Leonard 2018-11-12 17:02:48 UTC
(In reply to Nick Clemens from comment #6)
> Before this patch the 'Mark seen' and 'Mark not seen' buttons work. I can't
> make them work with this

This was an error in the placement of the <form> tag. That's the only change to the signed-off patch. I hope it's okay to return this to 'Passed QA.'
Comment 10 Nick Clemens 2018-12-26 13:56:37 UTC
(In reply to Owen Leonard from comment #9)
> (In reply to Nick Clemens from comment #6)
> > Before this patch the 'Mark seen' and 'Mark not seen' buttons work. I can't
> > make them work with this
> 
> This was an error in the placement of the <form> tag. That's the only change
> to the signed-off patch. I hope it's okay to return this to 'Passed QA.'

Yup,that's okay, would be better as a follow-up patch so that the change can be easily seen and verified, but it works in testing
Comment 11 Nick Clemens 2018-12-26 20:54:55 UTC
Awesome work all!

Pushed to master for 19.05
Comment 12 Martin Renvoize 2019-01-03 14:23:54 UTC
Enhancement, will not be backported to 18.11.x series.